%define upstream_name Config-INI-Simple
%define upstream_version 1.00

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4
License:	Artistic and GPL
Group:		Development/Perl
Summary:	Simple reading and writing from an INI file--with preserved comments
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz
Url:		http://search.cpan.org/dist/%{upstream_name}
BuildRequires:	perl-devel

BuildArch: noarch

%description
Config::INI::Simple is for very simplistic reading and writing of INI files. 
A new object must be created for each INI file (an object keeps all the data 
read in from an INI which is used on the write method to write to the INI).

It also keeps all your comments and original order intact.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files
%{perl_vendorlib}/Config/
%{_mandir}/man3/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.0.0-4pclos2017
- rebuild against updates

